Effect.Parallel

This is a special effect to allow to combine more than one core effect into a parallel effect. It’s the only effect that doesn’t take an element as first parameter, but an array of subeffects.

Availability

script.aculo.us V1.0 and later.

Syntax

new Effect.Parallel([array of subeffects], [options]);

Example

new Effect.Parallel(

[ new Effect.MoveBy(element, 100, 0, { sync: true }),

new Effect.Opacity(element, { sync: true, to: 0.0, from: 1.0 } ) ],

{ duration: 0.5,

afterFinish: function(effect) { Element.hide(effect.effects[0].this.parentNode); }

}

);